package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.VipGroupActivityTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/23
 */
public class StudentVipGroupShowListDto {

    @ApiModelProperty(value = "vip课ID",required = false)
    private Long vipGroupId;

    @ApiModelProperty(value = "vip课名称",required = false)
    private String vipGroupName;

    @ApiModelProperty(value = "单节课时", required = false)
    private Integer singleClassMinutes;

    @ApiModelProperty(value = "缴费截止时间", required = false)
    private java.util.Date paymentExpireDate;

    @ApiModelProperty(value = "线上课课时数", required = false)
    private Integer onlineClassesNum;

    @ApiModelProperty(value = "线下课课时数", required = false)
    private Integer offlineClassesNum;

    @ApiModelProperty(value = "学生购买价格",required = false)
    private BigDecimal totalPrice;

    @ApiModelProperty(value = "预计招生人数",hidden = true)
    private Integer expectStudentNum;

    @ApiModelProperty(value = "学生数量", required = false)
    private Integer studentNum;

    @ApiModelProperty(value = "教师编号")
    private Integer teacherId;

    @ApiModelProperty(value = "教师名称",required = false)
    private String teacherName;

    @ApiModelProperty(value = "教师简介",required = false)
    private String introduction;

    @ApiModelProperty(value = "教师头像",required = false)
    private String avatar;

    /** 活动类型（基础活动、折扣、赠送课时） */
    private VipGroupActivityTypeEnum type;

    private String attribute1;

    private String categoryName;

    @ApiModelProperty(value = "开课时间")
    private Date courseStartDate;

    public Date getCourseStartDate() {
        return courseStartDate;
    }

    public void setCourseStartDate(Date courseStartDate) {
        this.courseStartDate = courseStartDate;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public VipGroupActivityTypeEnum getType() {
        return type;
    }

    public void setType(VipGroupActivityTypeEnum type) {
        this.type = type;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Long getVipGroupId() {
        return vipGroupId;
    }

    public void setVipGroupId(Long vipGroupId) {
        this.vipGroupId = vipGroupId;
    }

    public String getVipGroupName() {
        return vipGroupName;
    }

    public void setVipGroupName(String vipGroupName) {
        this.vipGroupName = vipGroupName;
    }

    public Integer getSingleClassMinutes() {
        return singleClassMinutes;
    }

    public void setSingleClassMinutes(Integer singleClassMinutes) {
        this.singleClassMinutes = singleClassMinutes;
    }

    public Date getPaymentExpireDate() {
        return paymentExpireDate;
    }

    public void setPaymentExpireDate(Date paymentExpireDate) {
        this.paymentExpireDate = paymentExpireDate;
    }

    public Integer getOnlineClassesNum() {
        return onlineClassesNum;
    }

    public void setOnlineClassesNum(Integer onlineClassesNum) {
        this.onlineClassesNum = onlineClassesNum;
    }

    public Integer getOfflineClassesNum() {
        return offlineClassesNum;
    }

    public void setOfflineClassesNum(Integer offlineClassesNum) {
        this.offlineClassesNum = offlineClassesNum;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Integer getExpectStudentNum() {
        return expectStudentNum;
    }

    public void setExpectStudentNum(Integer expectStudentNum) {
        this.expectStudentNum = expectStudentNum;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }
}
